org.apache.calcite.avatica.proto

## Interface Responses.DatabasePropertyResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.DatabasePropertyResponse, Responses.DatabasePropertyResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.DatabasePropertyResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 2;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 2;`
`Responses.DatabasePropertyElement` `getProps(int index)` `repeated .DatabasePropertyElement props = 1;`
`int` `getPropsCount()` `repeated .DatabasePropertyElement props = 1;`
`List<Responses.DatabasePropertyElement>` `getPropsList()` `repeated .DatabasePropertyElement props = 1;`
`Responses.DatabasePropertyElementOrBuilder` `getPropsOrBuilder(int index)` `repeated .DatabasePropertyElement props = 1;`
`List<? extends Responses.DatabasePropertyElementOrBuilder>` `getPropsOrBuilderList()` `repeated .DatabasePropertyElement props = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getPropsList

    List<Responses.DatabasePropertyElement> getPropsList()

`repeated .DatabasePropertyElement props = 1;`

#### getProps

    Responses.DatabasePropertyElement getProps(int index)

`repeated .DatabasePropertyElement props = 1;`

#### getPropsCount

    int getPropsCount()

`repeated .DatabasePropertyElement props = 1;`

#### getPropsOrBuilderList

    List<? extends Responses.DatabasePropertyElementOrBuilder> getPropsOrBuilderList()

`repeated .DatabasePropertyElement props = 1;`

#### getPropsOrBuilder

    Responses.DatabasePropertyElementOrBuilder getPropsOrBuilder(int index)

`repeated .DatabasePropertyElement props = 1;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 2;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 2;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 2;`